# $Revision: 1.34 $, $Date: 2005-06-17 22:25:00 $
#
%bcond_with	tests	# perform "make test" (uses rpm database, which must not
			# be broken by gettext-in-header patch)
#
%include	/usr/lib/rpm/macros.perl
Summary:	Native bindings to the RPM Package Manager API for Perl
Summary(pl):	Natywne dowizania do API zarzdcy pakietw RPM dla Perla
Name:		perl-RPM
Version:	0.40
Release:	8
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/RPM/Perl-RPM-%{version}.tar.gz
# Source0-md5:	f15aa29bd0af0e1102d757ce20500f26
Patch0:		%{name}-43.patch
URL:		http://www.blackperl.com/Perl-RPM/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-devel >= 4.4.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	Perl-RPM

%description
The Perl-RPM package is an attempt to provide Perl-level access to the
complete application programming interface that is a part of the RPM
Package Manager (RPM). Rather than have scripts rely on executing RPM
commands and parse the resultant output, this modules aims to provide
Perl programmers the ability to do anything that would otherwise have
been done in C or C++.

%description -l pl
Pakiet Perl-RPM to prba dostarczenia dostpu z poziomu Perla do
penego interfejsu programistycznego, bdcego czci zarzdcy
pakietw RPM. Zamiast polega na wywoywaniu polece RPM i
analizowaniu ich wyjcia, te moduy prbuj dostarczy programistom
perlowym moliwo robienia wszystkiego, co musiaoby by robione w C
lub C++.

%prep
%setup -q -n Perl-RPM-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/rpmprune
%{perl_vendorarch}/RPM.pm
%{perl_vendorarch}/RPM
%dir %{perl_vendorarch}/auto/RPM
%{perl_vendorarch}/auto/RPM/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/RPM/*.so
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-RPM.spec,v $
Revision 1.34  2005-06-17 22:25:00  arekm
- rel up; bump BR to rpm-devel >= 4.4.1

Revision 1.33  2005/06/17 16:35:14  baggins
- rel 7 to rebuild with rpm 4.4.1

Revision 1.32  2004/05/07 00:39:42  ankry
- rel. 6

Revision 1.31  2004/05/06 18:43:20  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/15 09:19:43  ankry
- fixed License

Revision 1.29  2003/11/16 17:13:33  qboosh
- removed breaking old-include patch, added 43 patch - builds now
- added URL, test on bcond (disabled by default), release 5

Revision 1.28  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:37:53  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/25 01:41:48  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.20  2002/08/14 09:30:30  qboosh
- removed .packlist, fixed perms; release 3

Revision 1.19  2002/08/13 22:03:05  qboosh
- pl description

Revision 1.18  2002/08/11 19:36:49  radek
- release up

Revision 1.17  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.16  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.15  2002/07/11 08:03:30  depesz
- new version; should work; STBR

Revision 1.14  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.13  2002/03/03 21:04:16  marcus
- rel.2.

Revision 1.12  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/10 15:33:54  depesz
adapterized

Revision 1.10  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/05/19 04:28:58  kloczek
- updated to 0.32.

Revision 1.8  2001/05/10 00:48:12  kloczek
- typo.

Revision 1.7  2001/05/10 00:41:09  kloczek
- updated to 0.31,
- updated %files list,
- added Perl-RPM to Obsoletes.

Revision 1.6  2001/04/17 12:14:51  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.5  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.4  2001/04/09 21:12:24  kloczek
- release 3: rebuild on new rpm.

Revision 1.3  2001/03/23 13:57:54  mis
- added missing RPM.pm
- release 2

Revision 1.2  2001/03/15 06:16:35  kloczek
- updated to 0.30.

Revision 1.1  2001/03/08 15:33:03  mis
- initial revision
